# IOException Class Reference

Inherits Exception.

Inherited by InterruptedIOException, and SocketException.

List of all members.

## Detailed Description

Signals that an I/O exception of some sort has occurred.

This class is the general class of exceptions produced by failed or interrupted I/O operations.

## Public Member Functions

| IOException ()
| IOException (log4cxx_status_t stat)
| IOException (const LogString &msg)
| IOException (const IOException &src)
IOException & | operator= (const IOException &)

## Constructor & Destructor Documentation

IOException | ( |  | ) |

IOException | ( | log4cxx_status_t | stat | ) |

IOException | ( | const LogString & | msg | ) |

IOException | ( | const IOException & | src | ) |

## Member Function Documentation

IOException& operator= | ( | const IOException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h